tigase.jaxmpp.core.client.xmpp.modules.httpfileupload

## Class HttpFileUploadModule.Slot

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.httpfileupload.HttpFileUploadModule.Slot

- Enclosing class:
    HttpFileUploadModule

      public static class HttpFileUploadModule.Slot
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Slot(String putUri, Map<String,String> putHeaders, String getUri)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGetUri()`
    `Map<String,String>` | `getPutHeaders()`
    `String` | `getPutUri()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Slot

          public Slot(String putUri,
                      Map<String,String> putHeaders,
                      String getUri)

  - ### Method Detail

    - #### getGetUri

          public String getGetUri()

    - #### getPutHeaders

          public Map<String,String> getPutHeaders()

    - #### getPutUri

          public String getPutUri()

Copyright © 2006–2020 Tigase. All rights reserved.